# Interface IBasicPropertyConstants

public interface IBasicPropertyConstants
Predefined property names used for elements displayed in viewers.

See Also:
  - `StructuredViewer.update(Object, String[])`
  - `StructuredViewer.update(Object[], String[])`
  - `IBaseLabelProvider.isLabelProperty(Object, String)`
  - `ViewerComparator.isSorterProperty(Object, String)`
  - `ViewerFilter.isFilterProperty(Object, String)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`P_CHILDREN`
Property name constant (value `"org.eclipse.jface.children"`) for an element's children.
`static final String`
`P_IMAGE`
Property name constant (value `"org.eclipse.jface.image"`) for an element's label image.
`static final String`
`P_PARENT`
Property name constant (value `"org.eclipse.jface.parent"`) for an element's parent object.
`static final String`
`P_TEXT`
Property name constant (value `"org.eclipse.jface.text"`) for an element's label text.

## Field Details

### P_TEXT

static final String P_TEXT
Property name constant (value `"org.eclipse.jface.text"`) for an element's label text.

See Also:
  - `ILabelProvider.getText(Object)`
  - Constant Field Values

### P_IMAGE

static final String P_IMAGE
Property name constant (value `"org.eclipse.jface.image"`) for an element's label image.

See Also:
  - `ILabelProvider.getImage(Object)`
  - Constant Field Values

### P_CHILDREN

static final String P_CHILDREN
Property name constant (value `"org.eclipse.jface.children"`) for an element's children.

See Also:
  - Constant Field Values

### P_PARENT

static final String P_PARENT
Property name constant (value `"org.eclipse.jface.parent"`) for an element's parent object.

See Also:
  - Constant Field Values